/*
 * DotConverter.cpp
 *
 *  Created on: Apr 1, 2013
 *      Author: Martin Zak
 */

#include "DotConverter.h"
#include <registration/AlgoRegistration.hpp>

namespace convert {

auto DotConverterEpsilonNFA = registration::AbstractRegister < DotConverter, std::string, const automaton::EpsilonNFA < > & > ( DotConverter::convert );
auto DotConverterMultiInitialStateNFA = registration::AbstractRegister < DotConverter, std::string, const automaton::MultiInitialStateNFA < > & > ( DotConverter::convert );
auto DotConverterNFA = registration::AbstractRegister < DotConverter, std::string, const automaton::NFA < > & > ( DotConverter::convert );
auto DotConverterDFA = registration::AbstractRegister < DotConverter, std::string, const automaton::DFA < > & > ( DotConverter::convert );
auto DotConverterExtendedNFA = registration::AbstractRegister < DotConverter, std::string, const automaton::ExtendedNFA < > & > ( DotConverter::convert );
auto DotConverterCompactNFA = registration::AbstractRegister < DotConverter, std::string, const automaton::CompactNFA < > & > ( DotConverter::convert );
auto DotConverterNFTA = registration::AbstractRegister < DotConverter, std::string, const automaton::NFTA < > & > ( DotConverter::convert );
auto DotConverterDFTA = registration::AbstractRegister < DotConverter, std::string, const automaton::DFTA < > & > ( DotConverter::convert );
auto DotConverterDPDA = registration::AbstractRegister < DotConverter, std::string, const automaton::DPDA < > & > ( DotConverter::convert );
auto DotConverterSinglePopDPDA = registration::AbstractRegister < DotConverter, std::string, const automaton::SinglePopDPDA < > & > ( DotConverter::convert );
auto DotConverterInputDrivenDPDA = registration::AbstractRegister < DotConverter, std::string, const automaton::InputDrivenDPDA < > & > ( DotConverter::convert );
auto DotConverterInputDrivenNPDA = registration::AbstractRegister < DotConverter, std::string, const automaton::InputDrivenNPDA < > & > ( DotConverter::convert );
auto DotConverterVisiblyPushdownDPDA = registration::AbstractRegister < DotConverter, std::string, const automaton::VisiblyPushdownDPDA < > & > ( DotConverter::convert );
auto DotConverterVisiblyPushdownNPDA = registration::AbstractRegister < DotConverter, std::string, const automaton::VisiblyPushdownNPDA < > & > ( DotConverter::convert );
auto DotConverterRealTimeHeightDeterministicDPDA = registration::AbstractRegister < DotConverter, std::string, const automaton::RealTimeHeightDeterministicDPDA < > & > ( DotConverter::convert );
auto DotConverterRealTimeHeightDeterministicNPDA = registration::AbstractRegister < DotConverter, std::string, const automaton::RealTimeHeightDeterministicNPDA < > & > ( DotConverter::convert );
auto DotConverterNPDA = registration::AbstractRegister < DotConverter, std::string, const automaton::NPDA < > & > ( DotConverter::convert );
auto DotConverterSinglePopNPDA = registration::AbstractRegister < DotConverter, std::string, const automaton::SinglePopNPDA < > & > ( DotConverter::convert );
auto DotConverterOneTapeDTM = registration::AbstractRegister < DotConverter, std::string, const automaton::OneTapeDTM < > & > ( DotConverter::convert );

} /* namespace convert */
