/*
 * TikZConverter.cpp
 *
 *  Created on: Dec 1, 2015
 *      Author: Jan Travnicek
 */

#include "TikZConverter.h"
#include <registration/AlgoRegistration.hpp>

namespace convert {

auto TikZConverterEpsilonNFA =
    registration::AbstractRegister<TikZConverter, std::string, const automaton::EpsilonNFA<> &>(TikZConverter::convert);
auto TikZConverterMultiInitialStateNFA = registration::AbstractRegister<TikZConverter,
                                                                        std::string,
                                                                        const automaton::MultiInitialStateNFA<> &>(
    TikZConverter::convert);
auto TikZConverterNFA =
    registration::AbstractRegister<TikZConverter, std::string, const automaton::NFA<> &>(TikZConverter::convert);
auto TikZConverterDFA =
    registration::AbstractRegister<TikZConverter, std::string, const automaton::DFA<> &>(TikZConverter::convert);
auto TikZConverterExtendedNFA = registration::AbstractRegister<TikZConverter,
                                                               std::string,
                                                               const automaton::ExtendedNFA<> &>(TikZConverter::convert);
auto TikZConverterCompactNFA =
    registration::AbstractRegister<TikZConverter, std::string, const automaton::CompactNFA<> &>(TikZConverter::convert);
auto TikZConverterNFTA =
    registration::AbstractRegister<TikZConverter, std::string, const automaton::NFTA<> &>(TikZConverter::convert);
auto TikZConverterDFTA =
    registration::AbstractRegister<TikZConverter, std::string, const automaton::DFTA<> &>(TikZConverter::convert);
auto TikZConverterDPDA =
    registration::AbstractRegister<TikZConverter, std::string, const automaton::DPDA<> &>(TikZConverter::convert);
auto TikZConverterSinglePopDPDA = registration::AbstractRegister<TikZConverter,
                                                                 std::string,
                                                                 const automaton::SinglePopDPDA<> &>(TikZConverter::convert);
auto TikZConverterInputDrivenDPDA = registration::AbstractRegister<TikZConverter,
                                                                   std::string,
                                                                   const automaton::InputDrivenDPDA<> &>(TikZConverter::convert);
auto TikZConverterInputDrivenNPDA = registration::AbstractRegister<TikZConverter,
                                                                   std::string,
                                                                   const automaton::InputDrivenNPDA<> &>(TikZConverter::convert);
auto TikZConverterVisiblyPushdownDPDA = registration::AbstractRegister<TikZConverter,
                                                                       std::string,
                                                                       const automaton::VisiblyPushdownDPDA<> &>(
    TikZConverter::convert);
auto TikZConverterVisiblyPushdownNPDA = registration::AbstractRegister<TikZConverter,
                                                                       std::string,
                                                                       const automaton::VisiblyPushdownNPDA<> &>(
    TikZConverter::convert);
auto TikZConverterRealTimeHeightDeterministicDPDA =
    registration::AbstractRegister<TikZConverter, std::string, const automaton::RealTimeHeightDeterministicDPDA<> &>(
        TikZConverter::convert);
auto TikZConverterRealTimeHeightDeterministicNPDA =
    registration::AbstractRegister<TikZConverter, std::string, const automaton::RealTimeHeightDeterministicNPDA<> &>(
        TikZConverter::convert);
auto TikZConverterNPDA =
    registration::AbstractRegister<TikZConverter, std::string, const automaton::NPDA<> &>(TikZConverter::convert);
auto TikZConverterSinglePopNPDA = registration::AbstractRegister<TikZConverter,
                                                                 std::string,
                                                                 const automaton::SinglePopNPDA<> &>(TikZConverter::convert);
auto TikZConverterOneTapeDTM =
    registration::AbstractRegister<TikZConverter, std::string, const automaton::OneTapeDTM<> &>(TikZConverter::convert);
auto TikZConverterSquareGrid4 = registration::AbstractRegister<TikZConverter,
                                                               std::string,
                                                               const grid::SquareGrid4<> &>(TikZConverter::convert);
auto TikZConverterSquareGrid8 = registration::AbstractRegister<TikZConverter,
                                                               std::string,
                                                               const grid::SquareGrid8<> &>(TikZConverter::convert);
auto TikZConverterWeightedSquareGrid4 = registration::AbstractRegister<TikZConverter,
                                                                       std::string,
                                                                       const grid::WeightedSquareGrid4<> &>(
    TikZConverter::convert);
auto TikZConverterWeightedSquareGrid8 = registration::AbstractRegister<TikZConverter,
                                                                       std::string,
                                                                       const grid::WeightedSquareGrid8<> &>(
    TikZConverter::convert);

} /* namespace convert */
